package com.pcloud.book.group.vo;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.io.Serializable;

/**
 * @author lily
 * @date 2019/4/30 17:34
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class StatisticVO implements Serializable {

    /**
     * 分类数量
     */
    private Integer classifyCount;

    /**
     * 群数量
     */
    private Integer groupNumber;

    /**
     * 用户数量
     */
    private Integer userNumber;
    /**
     * 进群方式
     */
    private Integer joinGroupType;

    /**
     * 个人号数量
     */
    private Integer robotCount;
    /**
     * 总好友数
     */
    private Integer friendCount;
    /**
     * 社群书id
     */
    private Long bookGroupId;

    public Integer getClassifyCount() {
        return classifyCount;
    }

    public void setClassifyCount(Integer classifyCount) {
        this.classifyCount = classifyCount;
    }

    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }

    public Integer getUserNumber() {
        return userNumber;
    }

    public void setUserNumber(Integer userNumber) {
        this.userNumber = userNumber;
    }

    public Integer getJoinGroupType() {
        return joinGroupType;
    }

    public void setJoinGroupType(Integer joinGroupType) {
        this.joinGroupType = joinGroupType;
    }

    public Integer getRobotCount() {
        return robotCount;
    }

    public void setRobotCount(Integer robotCount) {
        this.robotCount = robotCount;
    }

    public Integer getFriendCount() {
        return friendCount;
    }

    public void setFriendCount(Integer friendCount) {
        this.friendCount = friendCount;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    @Override
    public String toString() {
        return "StatisticVO{" +
                "classifyCount=" + classifyCount +
                ", groupNumber=" + groupNumber +
                ", userNumber=" + userNumber +
                ", joinGroupType=" + joinGroupType +
                ", robotCount=" + robotCount +
                ", friendCount=" + friendCount +
                ", bookGroupId=" + bookGroupId +
                '}';
    }
}
